Search documentation of polar_express

# PolarExpress.Schemas.MemberCreate (polar_express v0.1.5)

Copy Markdown View Source

MemberCreate

Schema for creating a new member.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.MemberCreate{
      customer_id: String.t() | nil,
      email: String.t() | nil,
      external_id: String.t() | nil,
      name: String.t() | nil,
      role: PolarExpress.Schemas.MemberRole.t() | nil
    }

- `customer_id` - The ID of the customer this member belongs to. Format: uuid4.
- `email` - The email address of the member. Format: email.
- `external_id` - The ID of the member in your system. This must be unique within the customer. Nullable.
- `name` - Nullable.
- `role` - The role of the member within the customer.

## Functions

# schema_name()